sbofind(1)

NAME

sbofind - search the local copy of the SlackBuilds.org tree for a given name or names

SYNOPSIS

sbofind [-h|-v]

sbofind [-EetiRrq] search_term (search_term)

DESCRIPTION

sbofind searches the names of all available SlackBuilds for one or more search terms. It reports back any SlackBuilds found along with path and version information. This is equivalent to running
    cd /usr/ports; make search name=$search_term display=name,path
on a FreeBSD system. If the repository includes a TAGS.txt file, these tags are searched to generate additional results.

Non-root users can call sbofind with any flags. If an invalid configuration is detected in /etc/sbotools/sbotools.conf, the script exits with a diagnostic message.

OPTIONS

-h|--help
    Show help information.

-v|--version
    Show version information.

-E|--exact-case
    Exact matching only (case-sensitive).

-e|--exact
    Exact matching only (case-insensitive).

-t|--no-tags
    Exclude tags from the search.

-i|--info
    Show the contents of the info file for each SlackBuild found.

-r|--readme
    Show the contents of the README file for each SlackBuild found.

-R|--reverse
    Show any reverse dependencies installed on the system. Please note that optional dependencies must be specified in sbotools.hints(5) to be included. Packages with tags other than _SBo are not included.

-q|--queue
    Show the build queue for each SlackBuild found given the contents of /etc/sbotools/sbotools.hints.

EXIT CODES

sbofind can exit with the following codes:
    0: all operations were succesful.
    1: a usage error occured (e.g., incorrect options were passed to sbofind ).
    6: sbofind was unable to obtain a required file handle.
    13: circular dependencies detected.

BUGS

None known. If found, Issues and Pull Requests to https://github.com/pghvlaans/sbotools/ are always welcome.

SEE ALSO

sbocheck(1), sboclean(1), sboconfig(1), sbohints(1), sboinstall(1), sboremove(1), sboupgrade(1), sbotools.conf(5), sbotools.hints(5)

AUTHORS

Jacob Pipkin <j@dawnrazor.net>

Luke Williams <xocel@iquidus.org>

Andreas Guldstrand <andreas.guldstrand@gmail.com>

MAINTAINER

K. Eugene Carlson <kvngncrlsn@gmail.com>